Bug 994541 - JGroups: intermittent failure of testRepeatingTask-TimeScheduler2
JGroups: intermittent failure of testRepeatingTask-TimeScheduler2
Status: CLOSED NOTABUG
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Clustering (Show other bugs)
6.1.1
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Bela Ban
Jitka Kozana
Russell Dickenson
JGroups testsuite
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 09:22 EDT by Richard Janík
Modified: 2014-05-21 08:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 11:43:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Janík 2013-08-07 09:22:19 EDT
Description of problem:

Seen in 6.1.1.ER4 with JGroups 3.2.7.Final.
Test org.jgroups.tests.TimeSchedulerTest.testRepeatingTask-TimeScheduler2 randomly fails with:

Error Message

number of executions is 3, but should be >= 8 and <= 11 Execution times: #1: 0 #2: 300 #3: 601 

Stacktrace


java.lang.AssertionError 
at org.jgroups.tests.TimeSchedulerTest.testRepeatingTask(TimeSchedulerTest.java:157) 
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) 
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:60) 
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37) 
at java.lang.reflect.Method.invoke(Method.java:611) 
at org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:80) 
at org.testng.internal.InvokeMethodRunnable.runOne(InvokeMethodRunnable.java:46) 
at org.testng.internal.InvokeMethodRunnable.run(InvokeMethodRunnable.java:37) 
at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:450) 
at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:314) 
at java.util.concurrent.FutureTask.run(FutureTask.java:149) 
at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:908) 
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:931) 
at java.lang.Thread.run(Thread.java:738) 



Standard output:

...

------------- testRepeatingTask-DefaultTimeScheduler -----------
1: this is a repeating task (0ms after start)
2: this is a repeating task (300ms after start)
3: this is a repeating task (600ms after start)
4: this is a repeating task (900ms after start)
5: this is a repeating task (1200ms after start)
6: this is a repeating task (1500ms after start)
7: this is a repeating task (1800ms after start)
8: this is a repeating task (2100ms after start)
9: this is a repeating task (2400ms after start)
10: this is a repeating task (2700ms after start)
11: this is a repeating task (3000ms after start)
<<< cancelling task
task executed 11 times


------------- testRepeatingTask-TimeScheduler2 -----------
<<< cancelling task
task executed 3 times


------------- testRepeatingTask-HashedTimingWheel -----------
<<< cancelling task
task executed 11 times

...



or here:

https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EAP6/view/EAP6-JGroups/job/eap-6x-jgroups-rhel-matrix/40/jdk=ibm16,label=RHEL6_x86/testReport/org.jgroups.tests/TimeSchedulerTest/testRepeatingTask_TimeScheduler2/
Comment 2 Richard Achmatowicz 2014-03-10 11:42:37 EDT
NOTE: A number of EAP Clustering issues relate to failures in the JGroups testsuite. These failures have been traced to one of several causes which arise when running the JGroups testsuite in the QA lab: 
(i) parallel execution of test cases within the testsuite itself
(ii) parallel execution of testsuites resulting in multicast interference between testsuite executions
(iii) test case timing issues when running on slow machines  

As of EAP 6.3, a modified version of the JGroups testsuite (JGroups version 3.2.13) is being executed sequentially (testsuite parallelism turned off) and with fixes to test case timeouts where applicable. Only the testsuite has been modified/fixed; the product is unchanged. 

EAP 6.3 Clustering issues relating to failures in the JGroups testsuite are being closed if they are no longer appearing as failures in the modified testsuite.
Comment 3 Richard Achmatowicz 2014-03-10 11:43:19 EDT
This issue is no longer appearing in 3.2.13. Closing.

Note You need to log in before you can comment on or make changes to this bug.